export const createEmitter = () => {
    const listeners = {};
    const on = (eventName, listener) => {
        if (listeners[eventName]) {
            listeners[eventName].push(listener);
        }
        else {
            listeners[eventName] = [listener];
        }
    };
    const emit = (eventName, ...args) => {
        if (listeners[eventName]) {
            listeners[eventName].forEach(listener => listener(...args));
        }
    };
    const getEventNames = () => {
        return Object.keys(listeners);
    };
    return {
        on,
        emit,
        getEventNames
    };
};
//# sourceMappingURL=emitter.js.map