import { noop } from 'lodash';
import { isNode } from './common';
export const createTraverser = (options) => {
    const { onLeave = noop, onEnter = noop } = options;
    const traverse = (node, parent) => {
        if (!isNode(node)) {
            return;
        }
        onEnter(node, parent);
        const children = node?.children || [];
        for (const child of children) {
            traverse(child, node);
        }
        onLeave(node, parent);
    };
    return {
        traverse
    };
};
//# sourceMappingURL=traverser.js.map