"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleFixMode = void 0;
const constant_1 = require("../common/constant");
const apply_fix_1 = require("../utils/apply-fix");
const run_lint_1 = require("./run-lint");
const handleFixMode = (markdown, rules) => {
    let lintTimes = 0;
    let initialLintResult = {};
    let fixedResult = {
        result: markdown,
        notAppliedFixes: []
    };
    while (lintTimes <= constant_1.MAX_LINT_AND_FIX_CALL_TIMES) {
        const lintResult = (0, run_lint_1.runLint)(fixedResult.result, rules);
        lintTimes += 1;
        if (lintTimes === 1) {
            initialLintResult = lintResult;
        }
        fixedResult = (0, apply_fix_1.applyFix)(fixedResult.result, lintResult.ruleManager.getAllFixes());
        if (!fixedResult.notAppliedFixes.length) {
            break;
        }
    }
    return {
        lintResult: initialLintResult,
        fixedResult
    };
};
exports.handleFixMode = handleFixMode;
//# sourceMappingURL=handle-fix-mode.js.map