"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const noEmptyCodeLang = {
    meta: {
        name: 'no-empty-code-lang'
    },
    create: (context) => {
        return {
            code: (node) => {
                if (!node.lang) {
                    context.report({
                        loc: node.position,
                        message: '代码语言不能为空，请在代码块语法上增加语言',
                        fix: (fixer) => {
                            return fixer.insertTextAfterRange([
                                node.position.start.offset,
                                node.position.start.offset + 3
                            ], 'plain');
                        }
                    });
                }
            }
        };
    }
};
exports.default = noEmptyCodeLang;
//# sourceMappingURL=no-empty-code-lang.js.map