"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const noEmptyCode = {
    meta: {
        name: 'no-empty-code'
    },
    create: (context) => {
        return {
            code: (node) => {
                const replacement = node.value.replace(/\s/g, '');
                if (!replacement) {
                    context.report({
                        loc: node.position,
                        message: '代码块内容不能为空，请删除空的代码块，或者填充代码内容',
                        fix: (fixer) => {
                            return fixer.removeRange([
                                node.position.start.offset,
                                node.position.end.offset
                            ]);
                        }
                    });
                }
            }
        };
    }
};
exports.default = noEmptyCode;
//# sourceMappingURL=no-empty-code.js.map