"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const noEmptyInlineCode = {
    meta: {
        name: 'no-empty-inline-code'
    },
    create: (context) => {
        return {
            inlineCode: (node) => {
                if (!node.value || !node.value.trim()) {
                    context.report({
                        loc: node.position,
                        message: '行内代码块内容不能为空，请删除空的代码块，或者填充代码内容',
                        fix: (fixer) => {
                            return fixer.removeRange([
                                node.position.start.offset,
                                node.position.end.offset
                            ]);
                        }
                    });
                }
            }
        };
    }
};
exports.default = noEmptyInlineCode;
//# sourceMappingURL=no-empty-inline-code.js.map