"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFixer = void 0;
const createFixer = () => {
    const insertTextAt = (index, text) => {
        return {
            range: [index, index],
            text
        };
    };
    const insertTextAfterRange = (range, text) => {
        return insertTextAt(range[1], text);
    };
    const insertTextBeforeRange = (range, text) => {
        return insertTextAt(range[0], text);
    };
    const replaceTextRange = (range, text) => {
        return {
            range,
            text
        };
    };
    const removeRange = (range) => {
        return {
            range,
            text: ''
        };
    };
    return {
        insertTextAt,
        insertTextAfterRange,
        insertTextBeforeRange,
        replaceTextRange,
        removeRange
    };
};
exports.createFixer = createFixer;
//# sourceMappingURL=fixer.js.map