"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTextNodes = void 0;
const getTextNodes = (node) => {
    const textNodes = [];
    const textOnlyNode = ['text', 'inlineCode'];
    if (textOnlyNode.includes(node.type)) {
        textNodes.push(node);
        return textNodes;
    }
    if (node.children) {
        const childNodes = node.children.reduce((prev, current) => {
            return prev.concat((0, exports.getTextNodes)(current));
        }, []);
        textNodes.push(...childNodes);
    }
    return textNodes;
};
exports.getTextNodes = getTextNodes;
//# sourceMappingURL=get-text-nodes.js.map