"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTraverser = void 0;
const lodash_1 = require("lodash");
const common_1 = require("./common");
const createTraverser = (options) => {
    const { onLeave = lodash_1.noop, onEnter = lodash_1.noop } = options;
    const traverse = (node, parent) => {
        if (!(0, common_1.isNode)(node)) {
            return;
        }
        onEnter(node, parent);
        const children = node?.children || [];
        for (const child of children) {
            traverse(child, node);
        }
        onLeave(node, parent);
    };
    return {
        traverse
    };
};
exports.createTraverser = createTraverser;
//# sourceMappingURL=traverser.js.map